[问题]UBUNTU7要编译内核还要安装哪些包?

编译安装或者制作Deb包
回复
ppiigg_
帖子: 3
注册时间: 2007-08-04 19:47
送出感谢: 0
接收感谢: 0

[问题]UBUNTU7要编译内核还要安装哪些包?

#1

帖子 ppiigg_ » 2007-10-17 16:59

我下了2.6.10的源码,但是在安装时发现好多问题,看了网上的资料,才发现UBUNTU在安装时,很多用于内核编译和开发的包是不安装的,根据网上的指导,我下了安装了一些包,但好像还是不够,希望哪位仁兄能给出完整的包的目录。我现在MENUCONFIG已经可以了,但是在MAKE时出错了?错误很多,大多是找不到文件和数据结构不匹配的问题,请问怎么解决啊?
Zhrmghgws
帖子: 24
注册时间: 2007-04-29 16:47
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 Zhrmghgws » 2007-10-28 10:28

我也需要啊 有谁知道啊
头像
alpha.gu
帖子: 1456
注册时间: 2006-09-10 16:06
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 alpha.gu » 2008-01-10 11:37

基本上build-essential, kernel-package, libncurses5-dev就行了。

名字可能有出入,自己用新立得找找。
littertiger
帖子: 99
注册时间: 2006-08-08 20:25
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 littertiger » 2008-01-12 19:27

menuconfig是需要ncurses的dev包,但是编译出错好像不是包的问题吧。
你应该把出错信息贴出来。
回复

回到 “编译或打包”